---
title: Window.print()
slug: Web/API/Window/print
tags:
  - API
  - HTML DOM
  - Method
  - Reference
  - Window
---
<p>{{ ApiRef() }}</p>

<p>Opens the Print Dialog to print the current document.</p>

<p>In most browsers, this method will block while the print dialog is open. However in more recent versions of Safari, it may return immediately.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval">window.print()
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'timers-and-user-prompts.html#printing', 'print()')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.Window.print")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en/Printing" title="en/Printing">Printing</a></li>
 <li>{{ domxref("window.onbeforeprint") }}</li>
 <li>{{ domxref("window.onafterprint") }}</li>
</ul>
